class SearchInputModel {
  String search_button;
  String search_button_color;
  String search_button_t;
  String search_icon;
  String search_inpu_hint_text;
  String skip_identifier;

  SearchInputModel({this.search_button, this.search_button_color, this.search_button_t, this.search_icon, this.search_inpu_hint_text, this.skip_identifier});

  factory SearchInputModel.fromJson(Map<String, dynamic> json) {
    return SearchInputModel(
      search_button: json['search_button'],
      search_button_color: json['search_button_color'],
      search_button_t: json['search_button_t'],
      search_icon: json['search_icon'],
      search_inpu_hint_text: json['search_inpu_hint_text'],
      skip_identifier: json['skip_identifier'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['search_button'] = this.search_button;
    data['search_button_color'] = this.search_button_color;
    data['search_button_t'] = this.search_button_t;
    data['search_icon'] = this.search_icon;
    data['search_inpu_hint_text'] = this.search_inpu_hint_text;
    data['skip_identifier'] = this.skip_identifier;
    return data;
  }
}
